Add

  • POST
  • /user
  • /keys

Registers a new public SSH key for the authorized user

Info
This resource is limited to 10 requests per hour.

Request

REQUIRED SCOPES
USER_KEY
POST PARAMETERS
titlestring
The title/name of the SSH key
contentrequiredstring
The SSH public key content

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the SSH key
titlestring
The title/name of the SSH key
contentstring
The SSH public key content

Last modified on Jan 26, 2026

Request example

curl -X POST "https://api.buddy.works/user/keys" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "title": "My Development Key", "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com" }'